Package groovy.xml

# Class NamespaceBuilder

java.lang.Object
groovy.xml.NamespaceBuilder

    public class NamespaceBuilder
    extends java.lang.Object

A helper class for creating namespaces for GroovyMarkup

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NamespaceBuilder​(BuilderSupport builder)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `NamespaceBuilderSupport` | `declareNamespace​(java.util.Map ns)` |
  `NamespaceBuilderSupport` | `namespace​(java.lang.String uri)` |
  `NamespaceBuilderSupport` | `namespace​(java.lang.String uri, java.lang.String prefix)` |
  `static NamespaceBuilderSupport` | `newInstance​(BuilderSupport builder)` |
  `static NamespaceBuilderSupport` | `newInstance​(BuilderSupport builder, java.lang.String uri)` |
  `static NamespaceBuilderSupport` | `newInstance​(BuilderSupport builder, java.lang.String uri, java.lang.String prefix)` |
  `static NamespaceBuilderSupport` | `newInstance​(java.util.Map nsMap, BuilderSupport builder)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NamespaceBuilder

    public NamespaceBuilder​(BuilderSupport builder)

- ## Method Details

  - ### newInstance

    public static NamespaceBuilderSupport newInstance​(BuilderSupport builder, java.lang.String uri)

  - ### newInstance

    public static NamespaceBuilderSupport newInstance​(BuilderSupport builder)

  - ### newInstance

    public static NamespaceBuilderSupport newInstance​(BuilderSupport builder, java.lang.String uri, java.lang.String prefix)

  - ### newInstance

    public static NamespaceBuilderSupport newInstance​(java.util.Map nsMap, BuilderSupport builder)

  - ### namespace

    public NamespaceBuilderSupport namespace​(java.lang.String uri)

  - ### namespace

    public NamespaceBuilderSupport namespace​(java.lang.String uri, java.lang.String prefix)

  - ### declareNamespace

    public NamespaceBuilderSupport declareNamespace​(java.util.Map ns)